/**
 * This work is provided under the terms of the CREATIVE COMMONS PUBLIC
 * LICENSE. This work is protected by copyright and/or other applicable
 * law. Any use of the work other than as authorized under this license
 * or copyright law is prohibited.
 *
 * http://creativecommons.org/licenses/by-nc-sa/2.5/
 *
 * © 2015 Voiceworks B.V. info@voiceworks.com
 *
 */

define('com.voiceworks/ox-messenger/conversation/views/messagecontainer', [
    'io.ox/core/extensions',
    'com.voiceworks/ox-messenger/conversation/models/message/factory',
    'com.voiceworks/ox-messenger/core/views/disposable'
], function (ext, MessageFactory, DisposableView) {
    'use strict';

    /**
     * Base Message Container View
     */
    var MessageContainerView = DisposableView.extend({
        className: '',

        initialize: function () {
            DisposableView.prototype.initialize.apply(this, arguments);
        },

        render: function () {
        },

        beforeRender: function () {
        },

        afterRender: function () {
            this.parent.scroll();
        }

    });

    return MessageContainerView;
});
