/**
 * This work is provided under the terms of the CREATIVE COMMONS PUBLIC
 * LICENSE. This work is protected by copyright and/or other applicable
 * law. Any use of the work other than as authorized under this license
 * or copyright law is prohibited.
 *
 * http://creativecommons.org/licenses/by-nc-sa/2.5/
 *
 * © 2015 Voiceworks B.V. info@voiceworks.com
 *
 */

define('com.voiceworks/ox-messenger/register', [
    'io.ox/core/extensions',
    'com.voiceworks/ox-messenger/core/badge'
], function (ext) {
    'use strict';

    // Async loading
    require(['com.voiceworks/ox-messenger/mediator'], function (Mediator) {
        // Mediator handles all the application logic
        Mediator.init();
    });

    ext.point('io.ox/core/apps/favorites/allFavorites').extend({
        id: 'messenger',
        index: 'last',
        customize: function () {
            this.push('com.voiceworks/ox-messenger');
        }
    });
});